package asset

import _ "embed"

var (
	//go:embed shader/world/output.frag
	WorldShaderFrag string
	//go:embed shader/world/output.vert
	WorldShaderVert string

	//go:embed shader/world/shadowmap.frag
	WorldShaderShadowmapFrag string
	//go:embed shader/world/shadowmap.vert
	WorldShaderShadowmapVert string

	//go:embed shader/world/geometry.frag
	WorldShaderGeometryFrag string
	//go:embed shader/world/geometry.vert
	WorldShaderGeometryVert string

	//go:embed shader/world/water.frag
	WorldShaderWaterFrag string
	//go:embed shader/world/water.vert
	WorldShaderWaterVert string
)

//go:embed shader/framewire.frag
var FramewireShaderFrag string

//go:embed shader/framewire.vert
var FramewireShaderVert string
